/// <reference types="react" />
export interface SwitchProps {
    /**
     * An expression whose result is matched against each Case value.
     */
    expression?: string | number | boolean | null | undefined;
    /**
     * `<Case />` or `<Default />`
     */
    children?: React.ReactNode;
}
export interface CaseProps {
    /**
     * used to match against expression. If the expression matches the value, the children will be render.
     */
    value?: string | number | boolean | null | undefined;
    /**
     * If the expression matches the value, the children will be render.
     */
    children?: React.ReactNode;
}
export interface DefaultProps {
    /**
     * if the value of expression doesn't match any of the Case's value, the children will be render.
     */
    children?: React.ReactNode;
}
export declare function Switch(props: SwitchProps): any;
export declare namespace Switch {
    var Case: typeof import(".").Case;
    var Default: typeof import(".").Default;
}
export declare function Case(props: CaseProps): import("react").ReactNode;
export declare namespace Case {
    var componentName: "Case";
}
export declare function Default(props: DefaultProps): import("react").ReactNode;
export declare namespace Default {
    var componentName: "Default";
}
export default Switch;
